Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002446Zandronum[All Projects] Bugpublic2015-09-07 17:542017-01-04 03:13
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002446: Urban Brawl: Dead of Winter is crashing when you look up on the sky at end of the road under OpenGL on Winter1 map
DescriptionUrban Brawl: Dead of Winter is crashing when you look up on the sky at end of the road under OpenGL on Winter1 map

Doesn't crash under software render.
Doesn't crash under GZdoom 1.8.x - 2.0.05

Crash under ANY Zandronum 2.x - 3.x OGL mode.
Steps To Reproduce1)

Download WADs

http://action.mancubus.net/files/action2.zip [^]
http://action.mancubus.net/files/ad2dow.zip [^]

2)

zandronum.exe -file action2.zip ad2dow.zip +map winter1
Press space to skip cutscene.

Walk to the end of the road, look up on the sky, CRASH.
Attached Files

- Relationships

-  Notes
User avatar (0014601)
throwaway (reporter)
2016-03-21 18:52
edited on: 2016-03-21 18:53

Does not happen on Linux. FPS is halved, but no crash.

User avatar (0016533)
Zalewa (developer)
2016-12-18 21:50
edited on: 2016-12-18 23:03

Fixed in this pull request:
https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/180/fix-urban-brawl-dead-of-winter-opengl/ [^]

For the sake of completness I'll quote here what I wrote in the PR as a comment:
Quote

I transplanted code from current GZDoom's origin/master HEAD (commit b709db3fd38b89211577193983be3dbf61fa56b0). GZDoom uses the unit-global "temporary" variable (fakesec) to reduce the memory consumed by the stack instead of a stack variable (duh).

I also measured the depth of the recurrency and it goes up to about 970 levels when you follow instructions from 2446 in both Zandronum and GZDoom. It's worth noting that GZDoom will survive this depth even if you reintroduce the sector_t fake stack variable because the sizeof of sector_t in GZDoom is about a half of what's currently in Zandronum (GZDoom - about 550 bytes, Zandronum - about 1100 bytes)


User avatar (0016536)
Edward-san (developer)
2016-12-18 23:14

Just to note that the gzdoom fixed this problem with this changeset:https://bitbucket.org/Torr_Samaho/zandronum-zdoom-sync/commits/694b4bfdd7cb6283ac8cf808dc2eee98dfdb1ab7 [^] . This was reported in gzdoom forum, here to fix a related problem.
User avatar (0016540)
Torr Samaho (administrator)
2016-12-22 19:44

The backport is in our main repo now.
User avatar (0016597)
Ru5tK1ng (updater)
2017-01-04 03:13

With the fix, I wasn't able to crash while in ogl.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Unknown
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-09-07 17:54 Zalewa New Issue
2015-09-07 18:05 Zalewa Severity minor => crash
2015-09-11 18:59 Dusk Status new => acknowledged
2015-09-11 18:59 Dusk Status acknowledged => assigned
2015-09-11 18:59 Dusk Assigned To => Dusk
2015-09-11 18:59 Dusk Status assigned => acknowledged
2016-03-21 18:52 throwaway Note Added: 0014601
2016-03-21 18:53 throwaway Note Edited: 0014601 View Revisions
2016-12-18 21:50 Zalewa Note Added: 0016533
2016-12-18 21:50 Zalewa Assigned To Dusk => Zalewa
2016-12-18 21:50 Zalewa Status acknowledged => needs review
2016-12-18 23:03 Zalewa Note Edited: 0016533 View Revisions
2016-12-18 23:14 Edward-san Note Added: 0016536
2016-12-22 19:44 Torr Samaho Note Added: 0016540
2016-12-22 19:44 Torr Samaho Status needs review => needs testing
2016-12-22 19:44 Torr Samaho Target Version => 3.0
2017-01-04 03:13 Ru5tK1ng Note Added: 0016597
2017-01-04 03:13 Ru5tK1ng Status needs testing => resolved
2017-01-04 03:13 Ru5tK1ng Resolution open => fixed
2017-01-04 03:13 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker